summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorTomas Mozes <hydrapolic@gmail.com>2019-02-14 15:55:57 +0100
committerThomas Deutschmann <whissi@gentoo.org>2019-03-04 01:47:33 +0100
commitad544cbe82a46faaf1948428926f91d2cb5a88cb (patch)
tree640d20cd1ba38df89881fd66953184d3c12aeeda /app-admin
parentdev-db/mongodb: bump to 4.0.5 (diff)
downloadgentoo-ad544cbe82a46faaf1948428926f91d2cb5a88cb.tar.gz
gentoo-ad544cbe82a46faaf1948428926f91d2cb5a88cb.tar.bz2
gentoo-ad544cbe82a46faaf1948428926f91d2cb5a88cb.zip
app-admin/mongo-tools: bump to 4.0.6
Package-Manager: Portage-2.3.59, Repoman-2.3.12 Signed-off-by: Tomáš Mózes <hydrapolic@gmail.com> Signed-off-by: Thomas Deutschmann <whissi@gentoo.org>
Diffstat (limited to 'app-admin')
-rw-r--r--app-admin/mongo-tools/Manifest1
-rw-r--r--app-admin/mongo-tools/mongo-tools-4.0.6.ebuild64
2 files changed, 65 insertions, 0 deletions
diff --git a/app-admin/mongo-tools/Manifest b/app-admin/mongo-tools/Manifest
index d82ee7d7359..a85566e37c6 100644
--- a/app-admin/mongo-tools/Manifest
+++ b/app-admin/mongo-tools/Manifest
@@ -5,3 +5,4 @@ DIST mongo-tools-3.6.9.tar.gz 4723117 BLAKE2B 2cc88b9e8424abe082d68a8f7afa02bf2b
DIST mongo-tools-4.0.3.tar.gz 10874727 BLAKE2B 3e5d07b8ae797d0876b68a3018806e91a30758415aaa236423648a77f5e0d475848060516ee0da91a8448813a12a685410b93bf219b8180beb91f448e329a532 SHA512 cbe74b3fdebd0d4f6be6e3acf7f55f5f1a551b0ad1a23d82782643d2a9eb9ea4b7e0133985485b8c5a88c1fea26595e3ed9c759f1f63b578b6472d850154d67b
DIST mongo-tools-4.0.4.tar.gz 10878921 BLAKE2B 3960838f68333bf033be9b72191e221b449bde8157ecb6d2f595d84c862fadd9597a53be88e5b0ad691cb6163cf90294348145ecce4c796c88bf84a4d7d8ab86 SHA512 d7900dbbd1e1e63d5518494c85559a7eab34f53ffa38880628f3dda0a71ee1211f67cf7dfaac66498b0359eca32abb9c89410e5cc56415a1594acf38ebfa226b
DIST mongo-tools-4.0.5.tar.gz 10878974 BLAKE2B 704eadb7469d1f07bcf0c18fd2c3d1a2078064e8d0f33e03b0ec0a7539a8ae6e5c4ec3a4f9dff4f34d3cea8a2aa63097bfa050de0af5d0a44e54e4e47c83565f SHA512 5a2ca0cb761895a6c3187bdf4ac0c11222ac681313c2c22801571a1147e07b7b6149150b07e58cd4487413017da56424ec494eaaf9aec9193498ee3cde73c5da
+DIST mongo-tools-4.0.6.tar.gz 10879606 BLAKE2B 9a7656ba1486df4b36ceb527735ad46864d7a04f2d0451fb4e04bbbdc09c3bb0ec922aa5daa584b93e123e1c3764c0ebef96a3566dd0d6b646a627d769645619 SHA512 d6185d7442a593d29db78889c55aba53e070bedd522d78d8c0bf52bb27f26c5fee6d010457f65774ea36a2e6d5280f38c95433ff76ed53ed9d74b1c811198cb7
diff --git a/app-admin/mongo-tools/mongo-tools-4.0.6.ebuild b/app-admin/mongo-tools/mongo-tools-4.0.6.ebuild
new file mode 100644
index 00000000000..5aacbbb1063
--- /dev/null
+++ b/app-admin/mongo-tools/mongo-tools-4.0.6.ebuild
@@ -0,0 +1,64 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+MY_PV=${PV/_rc/-rc}
+MY_P=${PN}-r${MY_PV}
+
+DESCRIPTION="A high-performance, open source, schema-free document-oriented database"
+HOMEPAGE="https://www.mongodb.com"
+SRC_URI="https://github.com/mongodb/mongo-tools/archive/r${MY_PV}.tar.gz -> mongo-tools-${MY_PV}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="sasl ssl"
+
+DEPEND="dev-lang/go:=
+ net-libs/libpcap
+ sasl? ( dev-libs/cyrus-sasl )
+ ssl? ( dev-libs/openssl:0= )"
+
+# Do not complain about CFLAGS etc since go projects do not use them.
+QA_FLAGS_IGNORED='.*'
+
+EGO_PN="github.com/mongodb/mongo-tools"
+S="${WORKDIR}/src/${EGO_PN}"
+
+src_unpack() {
+ mkdir -p "${S%/*}" || die
+ default
+ mv ${MY_P} "${S}" || die
+}
+
+src_compile() {
+ local myconf=()
+
+ if use sasl; then
+ myconf+=(sasl)
+ fi
+
+ if use ssl; then
+ myconf+=(ssl)
+ fi
+
+ # build pie to avoid text relocations wrt #582854
+ local buildmode="pie"
+
+ # skip on ppc64 wrt #610984
+ if use ppc64; then
+ buildmode="default"
+ fi
+
+ mkdir -p bin || die
+ for i in bsondump mongostat mongofiles mongoexport mongoimport mongorestore mongodump mongotop mongoreplay; do
+ echo "Building $i"
+ GOROOT="${PREFIX}/usr/$(get_libdir)/go" GOPATH="${WORKDIR}" go build -buildmode="${buildmode}" -o "bin/$i" \
+ -ldflags "-X ${EGO_PN}/common/options.VersionStr=${PV}" --tags "${myconf[*]}" "$i/main/$i.go" || die
+ done
+}
+
+src_install() {
+ dobin bin/*
+}